import Api from '../axios'

const prefix = '/appshow/appshow/chartInfo'
const prefixOfType = '/appshow/appshow'
let AUTH_TOKEN = localStorage.getItem('token') || ''
export default {

  /* 保存图表信息 */
  addChartInfo (obj) {
    return Api.post(prefix, obj)
  },
  uploadFile (obj) {
    return Api.uploadFile(prefix + '/loadChartFile', obj)
  },
  /* 根据数据库和表信息生成获取DML */
  getDML (obj) {
    return Api.get(prefix + '/getDML', obj)
  },
  /* 图表分页列表展示 */
  list (obj) {
    return Api.get(prefix + '/list', obj)
  },
  /* 通过分类编号获取分类下图表 */
  listByClass (obj) {
    return Api.get(prefix + '/listByClass', obj)
  },
  /* 获取根据数据库ID获取字段信息 */
  listColumnByTableId (obj) {
    return Api.get(prefix + '/listColumnByTableId', obj)
  },
  /** 获取MDM数据库列表-非原始库 */
  listDatabase (obj) {
    return Api.get(prefix + '/listDatabase', obj)
  },
  /* 获取根据数据库ID获取数据表信息-非原始库 */
  listTableByDatabaseId (obj) {
    return Api.get(prefix + '/listTableByDatabaseId', obj)
  },
  /* 获取图表类型 */
  chartType (obj) {
    return Api.get(prefixOfType + '/chartType', obj)
  },
  /* 图表配置接口 */
  updateChartJson (obj) {
    return Api.put(prefixOfType + '/updateChartJson', obj)
  },
  /* 根据ID获取图表信息 */
  getChartById (obj) {
    return Api.getById(prefix + "/" , obj)
  },
  /* 图表预览接口 */
  chartView (obj) {
    return Api.getById(prefixOfType + "/chartView", obj)
  },
  /* 分类信息修改接口 */
  updateChartInfo (obj) {
    return Api.putById(prefix + "/" , obj);
  },
  /* 删除接口 */
  delChartInfo (obj) {
    return Api.deleteById(prefix + "/" , obj)
  },
  fileUpload: process.env.BASE_URL + prefix + "/loadRichTextFile?token=" + AUTH_TOKEN
}
